Package org.codehaus.groovy.classgen.asm

# Interface WriterControllerFactory

All Known Implementing Classes:
  `StaticTypesWriterControllerFactoryImpl`

public interface WriterControllerFactory
A non static factory to get alternative writer controller to be stored in the meta data

Author:
  Jochen "blackdrag" Theodorou

## Method Summary

Modifier and Type
Method
Description
`WriterController`
`makeController(WriterController normalController)`

## Method Details

### makeController

WriterController makeController(WriterController normalController)